DocsAPINotes

Create note

Creates a new note (=investor_update). You can link to a company by providing either company_id directly, or company_domain to match against your portfolio companies.

POST
/notes/create
Body

Example: Q3 Update Call

Example: ## Had a productive call with the team.

Example: 42

Example: acme.com

Example: 2024-01-15T10:30:00Z

Example: ["meeting","quarterly"]

Example: 2

Request Body

application/jsonOptional
subjectRequiredstring

Note subject/title

Minimum length: 1
body_markdownRequiredstring

Note content in markdown

Format: "multiline"
company_idstring

ID of the company to link this note to

Pattern: "^\\d+$"
company_domainstring

Domain of the company to link to (will be matched against portfolio companies)

datetimestring

Note date (ISO 8601 format). Defaults to current time.

tagsarray<string>

Tags for categorization

author_user_idstring

ID of the user that authored this note

Credentials

Bearer
curl -X POST "https://api.fundra.com/v1/notes/create" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "subject": "Q3 Update Call",
    "body_markdown": "## Had a productive call with the team.",
    "company_id": "42",
    "company_domain": "acme.com",
    "datetime": "2024-01-15T10:30:00Z",
    "tags": [
      "meeting",
      "quarterly"
    ],
    "author_user_id": "2"
  }'

Note created successfully

{
  "data": {
    "id": "1",
    "uuid": "abc123xy",
    "subject": "Q3 Update Call",
    "body_plain": "Had a productive call with the team.",
    "company_id": "42",
    "date": "2024-01-15T10:30:00Z",
    "created_at": "2024-01-15T10:35:00Z",
    "type": "note",
    "tags": [
      "meeting",
      "quarterly"
    ]
  },
  "company": {
    "id": "string",
    "name": "string",
    "domain": "string"
  }
}